MODULE grid_param
  USE ISO_C_BINDING
  IMPLICIT NONE
  SAVE

! Some variables are BIND(C) to be accessible from Python
! They are declared using C sizes

  INTEGER  :: iim_glo=40
  INTEGER  :: jjm_glo
  INTEGER, PARAMETER  :: nb_face=10
  INTEGER, PARAMETER :: grid_unst=1, grid_ico = 2
  INTEGER  :: grid_type ! unstructured or icosahedral

  INTEGER(C_INT), BIND(C) :: llm=19, &  ! number of vertical levels
                             nqdyn      ! number of dynamical tracers : 1 if dry, more if moist

  INTEGER  :: nqtot ! number of tracers handled by advection scheme

  INTEGER(C_INT), BIND(C) :: edge_num, primal_num, dual_num, &
       max_primal_deg, max_dual_deg, max_trisk_deg

END MODULE grid_param
